Xalan-Java 2.7.1: Class EmptyIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class EmptyIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.EmptyIterator

public final class EmptyIterator
extends java.lang.Object
implements DTMAxisIterator

DTM Empty Axis Iterator. The class is immutable

Method Summary
`DTMAxisIterator` | `cloneIterator()`
`static DTMAxisIterator` | `getInstance()`
`int` | `getLast()`
`int` | `getNodeByPosition(int position)`
`int` | `getPosition()`
`int` | `getStartNode()`
`void` | `gotoMark()`
`boolean` | `isReverse()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`DTMAxisIterator` | `setStartNode(int node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DTMAxisIterator getInstance()

### next

    public final int next()

  Specified by:
    next in interface DTMAxisIterator

### reset

    public final DTMAxisIterator reset()

  Specified by:
    reset in interface DTMAxisIterator

### getLast

    public final int getLast()

  Specified by:
    getLast in interface DTMAxisIterator

### getPosition

    public final int getPosition()

  Specified by:
    getPosition in interface DTMAxisIterator

### setMark

    public final void setMark()

  Specified by:
    setMark in interface DTMAxisIterator

### gotoMark

    public final void gotoMark()

  Specified by:
    gotoMark in interface DTMAxisIterator

### setStartNode

    public final DTMAxisIterator setStartNode(int node)

  Specified by:
    setStartNode in interface DTMAxisIterator

### getStartNode

    public final int getStartNode()

  Specified by:
    getStartNode in interface DTMAxisIterator

### isReverse

    public final boolean isReverse()

  Specified by:
    isReverse in interface DTMAxisIterator

### cloneIterator

    public final DTMAxisIterator cloneIterator()

  Specified by:
    cloneIterator in interface DTMAxisIterator

### setRestartable

    public final void setRestartable(boolean isRestartable)

  Specified by:
    setRestartable in interface DTMAxisIterator

### getNodeByPosition

    public final int getNodeByPosition(int position)

  Specified by:
    getNodeByPosition in interface DTMAxisIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.